Subject: Re: bug#28266: 25.2; RMAIL FCC coding issue

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Sep 2017 16:13:58 +0300

> Date: Mon, 28 Aug 2017 20:59:58 +0200
> From: [email-masked] (Charles A. Roelli)
> 
> >From emacs -q (25.2 or 26.0.50):
> 
> M-: (setq mail-user-agent 'sendmail-user-agent) RET
> C-x m
> [email-masked] C-n
> test RET
> FCC: /tmp/emacs-bug-mbox
> C-u 2 C-n
> This is a test mail, containing ‘’ quotes.
> C-c C-c
> transport RET ; On my system, this doesn't actually send the mail, so
> 	      ; this is the mail-sending system I choose to reproduce
> 	      ; the issue.  In any case, the recipient email doesn't
> 	      ; really exist so it should be okay to choose this.
> C-u M-x rmail /tmp/emacs-bug-mbox ; Observe correct message contents.
> C-x o ; Switch back to the *mail* buffer.
> C-c C-c y ; Resend it.
> n ; Open the resent copy.
> 
> This is RMAIL's copy of the resent mail:
> 
> ----------
> Date: Mon, 28 Aug 2017 20:41:35 +0200
> From: charles@localhost (Charles A. Roelli)
> To: [email-masked]
> Subject: test
> Content-type: text/plain; charset=utf-8
> 
> This is a test mail, containing ^X^Y quotes.
> ----------
> 
> Notice that the quotes have been converted to ^X/^Y
> characters (characters have been corrupted).  I tested with
> another non-ASCII character (é), and it got converted to \351.

I cannot reproduce this with the current emacs-26 branch tip.
However, in my case, Emacs asked for a suitable coding-system each
time I wanted to send a message.  Answering UTF-8 produced a valid
encoding in both cases.

So perhaps the difference, and the reason for a problem you see, is
the default encoding in your case, which you didn't show.  (In my
case, the default is Latin-1.)